Index: trunk/src/lib/gui/gl_gui/glmenu/glmenu_imagescreen.cc
===================================================================
--- trunk/src/lib/gui/gl_gui/glmenu/glmenu_imagescreen.cc	(revision 7201)
+++ trunk/src/lib/gui/gl_gui/glmenu/glmenu_imagescreen.cc	(revision 7221)
@@ -13,5 +13,5 @@
    ### File Specific:
    main-programmer: Patrick Boenzli
-   co-programmer:
+   co-programmer: Benjamin GRauer
 */
 
@@ -84,8 +84,8 @@
 
 /**
-  *  sets the background image name
+  * @brief sets the background image name
   * @param backImageName name of the backgroun-image
  */
-void GLMenuImageScreen::setBackgroundImage (const char* backImageName)
+void GLMenuImageScreen::setBackgroundImage (const std::string& backImageName)
 {
   this->backMat->setDiffuseMap(backImageName);
@@ -93,5 +93,5 @@
 
 /**
- *  sets position of the ImageScreen
+ * @brief sets position of the ImageScreen
  * @param offsetX offset from the top left corner in percent(0-1) of the screensize
  * @param offsetY offset from the top left corner in percent(0-1) of the screensize
@@ -104,5 +104,5 @@
 
 /**
-  \brief sets size of the ImageScreen
+ * @brief sets size of the ImageScreen
  * @param scaleX the scaleing of the image into the x-direction (in percent (0-1))
  * @param scaleY the scaleing of the image into the y-direction (in percent (0-1))
@@ -115,9 +115,9 @@
 
 /**
-  \brief sets position and size of the ImageScreen
-* @param offsetX offset from the top left corner in percent(0-1) of the screensize
-* @param offsetY offset from the top left corner in percent(0-1) of the screensize
-* @param scaleX the scaleing of the image into the x-direction (in percent (0-1))
-* @param scaleY the scaleing of the image into the y-direction (in percent (0-1))
+ * @brief sets position and size of the ImageScreen
+ * @param offsetX offset from the top left corner in percent(0-1) of the screensize
+ * @param offsetY offset from the top left corner in percent(0-1) of the screensize
+ * @param scaleX the scaleing of the image into the x-direction (in percent (0-1))
+ * @param scaleY the scaleing of the image into the y-direction (in percent (0-1))
 */
 void GLMenuImageScreen::setPosScale(float offsetX, float offsetY, float scaleX, float scaleY)
@@ -130,5 +130,5 @@
  * @param barImage An image for the Bar
 */
-void GLMenuImageScreen::setBarImage(const char* barImage)
+void GLMenuImageScreen::setBarImage(const std::string& barImage)
 {
   this->barMat->setDiffuseMap(barImage);
@@ -136,5 +136,5 @@
 
 /**
- *  sets the Position and the Size of the bar
+ * @brief sets the Position and the Size of the bar
  * @param barX The Position in the x-direction in percent of the screen (0-1)
  * @param barY The Position in the y-direction in percent of the screen (0-1)
@@ -152,5 +152,5 @@
 
 /**
- *  set the maximum of countable steps
+ * @brief set the maximum of countable steps
  * @param maxValue of steps
 */
@@ -161,5 +161,5 @@
 
 /**
- *  set current value
+ * @brief set current value
  * @param currentValue value to set
 */
@@ -172,5 +172,5 @@
 
 /**
- *  get the current value
+ * @brief get the current value
  */
 int GLMenuImageScreen::getValue()
@@ -181,7 +181,7 @@
 
 /**
-  *  call this to trigger a progress event
-
-    this has to redraw the progress bar and the whole image
+ * @brief call this to trigger a progress event
+ *
+ * this has to redraw the progress bar and the whole image
  */
 void GLMenuImageScreen::step ()
@@ -199,5 +199,5 @@
 
 /**
- *  draws the ImageScreen to the screenbuffer
+ * @brief draws the ImageScreen to the screenbuffer
 */
 void GLMenuImageScreen::draw ()
Index: trunk/src/lib/gui/gl_gui/glmenu/glmenu_imagescreen.h
===================================================================
--- trunk/src/lib/gui/gl_gui/glmenu/glmenu_imagescreen.h	(revision 7201)
+++ trunk/src/lib/gui/gl_gui/glmenu/glmenu_imagescreen.h	(revision 7221)
@@ -13,7 +13,8 @@
 
 //! A class to display a loadScreen
-class GLMenuImageScreen : public BaseObject {
+class GLMenuImageScreen : public BaseObject
+{
 
- public:
+public:
   GLMenuImageScreen (const TiXmlElement* root = NULL);
   virtual void loadParams(const TiXmlElement* root);
@@ -22,10 +23,10 @@
   void draw();
 
-  void setBackgroundImage(const char* backImageName);
+  void setBackgroundImage(const std::string& backImageName);
   void setPosition(float offsetX, float offsetY);
   void setScale (float scaleX, float scaleY);
   void setPosScale(float offsetX, float offsetY, float scaleX, float scaleY);
 
-  void setBarImage(const char* barImage);
+  void setBarImage(const std::string& barImage);
   void setBarPosScale(float barX, float barY, float barW, float barH);
 
@@ -39,7 +40,7 @@
 
 
- private:
+private:
   // background image
-  char*         backImageName;       //!< the name of the file of the background image
+  std::string         backImageName;       //!< the name of the file of the background image
   float         offsetX;             //!< X-offset of the the image from the left
   float         offsetY;             //!< Y-offset of the image from the top
Index: trunk/src/lib/gui/gtk_gui/gui_exec.cc
===================================================================
--- trunk/src/lib/gui/gtk_gui/gui_exec.cc	(revision 7201)
+++ trunk/src/lib/gui/gtk_gui/gui_exec.cc	(revision 7221)
@@ -47,6 +47,6 @@
   Frame* execFrame;            //!< The Frame that holds the ExecutionOptions.
 
-  this->confFile = NULL;
-  this->confDir = NULL;
+  this->confFile = "";
+  this->confDir = "";
 
   execFrame = new Frame("Execute-Tags:");
@@ -137,8 +137,4 @@
 GuiExec::~GuiExec()
 {
-  if(this->confFile)
-    delete []this->confFile;
-  if(this->confDir)
-    delete []this->confDir;
 }
 
@@ -156,7 +152,7 @@
   //! @todo F** Windows-support
 #ifndef __WIN32__
-  mkdir(this->confDir, 0755);
+  mkdir(this->confDir.c_str(), 0755);
 #else /* __WiN32__ */
-  mkdir(this->confDir);
+  mkdir(this->confDir.c_str());
 #endif /* __WIN32__ */
 }
@@ -170,8 +166,7 @@
 void GuiExec::setConfFile(const char* fileName)
 {
-  if (!this->confDir)
+  if (this->confDir.empty())
     this->setConfDir("~/");
-  this->confFile = new char[strlen(this->confDir)+strlen(fileName)+2];
-  sprintf(this->confFile, "%s/%s", this->confDir, fileName);
+  this->confFile = this->confDir + "/" + fileName;
   PRINTF(5)("ConfigurationFile is %s.\n", this->confFile);
 }
@@ -182,5 +177,5 @@
 const char* GuiExec::getConfigFile() const
 {
-  return this->confFile;
+  return this->confFile.c_str();
 }
 
@@ -204,7 +199,6 @@
   IniParser iniParser;
   this->writeFileText(widget, &iniParser, 0);
-  char* fileName = ResourceManager::homeDirCheck(confFile);
+  std::string fileName = ResourceManager::homeDirCheck(confFile);
   iniParser.writeFile(fileName);
-  delete[] fileName;
 }
 
@@ -259,7 +253,6 @@
 void GuiExec::readFromFile(Widget* widget)
 {
-  char* fileName = ResourceManager::homeDirCheck(confFile);
+  std::string fileName = ResourceManager::homeDirCheck(confFile);
   IniParser iniParser(fileName);
-  delete[] fileName;
   if (!iniParser.isOpen())
     return;
@@ -267,13 +260,13 @@
   iniParser.firstSection();
   Widget* groupWidget = widget;
-  const char* groupName;
-  const char* widgetName;
+  std::string groupName;
+  std::string widgetName;
   VarInfo varInfo;
-  while (groupName = iniParser.getCurrentSection())
+  while ((groupName = iniParser.getCurrentSection()) != "")
   {
-    printf("GROUP:::%s\n", groupName);
-    if((groupWidget = locateGroup(widget, groupName, 1))==NULL)
+    PRINTF(4)("GROUP:::%s\n", groupName.c_str());
+    if((groupWidget = locateGroup(widget, groupName.c_str(), 1))==NULL)
       {
-	PRINTF(2)("!!There is no group called %s in this GUI.\n First best Widget will get the Infos assigned.\n Config-File will be updated in next Save\n", groupName);
+        PRINTF(2)("!!There is no group called %s in this GUI.\n First best Widget will get the Infos assigned.\n Config-File will be updated in next Save\n", groupName.c_str());
 	groupWidget = widget;
 	continue;
@@ -282,11 +275,11 @@
       PRINT(4)("Group %s located.\n", static_cast<Packer*>(groupWidget)->groupName);
 
-    const char* entryName;
+    std::string entryName;
     iniParser.firstVar();
-    while(entryName = iniParser.getCurrentName())
-    {
-      PRINTF(4)("ENTRY:::%s = %s\n", entryName, iniParser.getCurrentValue());
-      varInfo.variableName = entryName;
-      varInfo.variableValue = iniParser.getCurrentValue();
+    while((entryName = iniParser.getCurrentName()) != "")
+    {
+      PRINTF(4)("ENTRY:::%s = %s\n", entryName.c_str(), iniParser.getCurrentValue().c_str());
+      varInfo.variableName = entryName.c_str();
+      varInfo.variableValue = iniParser.getCurrentValue().c_str();
       groupWidget->walkThrough(this->readFileText, &varInfo, 0);
       iniParser.nextVar();
Index: trunk/src/lib/gui/gtk_gui/gui_exec.h
===================================================================
--- trunk/src/lib/gui/gtk_gui/gui_exec.h	(revision 7201)
+++ trunk/src/lib/gui/gtk_gui/gui_exec.h	(revision 7221)
@@ -11,4 +11,6 @@
 #include "gui_gtk.h"
 
+#include <string>
+
 class Widget;
 class CheckButton;
@@ -22,6 +24,6 @@
   CheckButton* saveSettings;   //!< A CheckBox for if the Options should be saved.
 
-  char* confDir;               //!< The directory of the orxonox-configuration-files.
-  char* confFile;              //!< The name of the .orxonox.conf(ig)-file.
+  std::string confDir;         //!< The directory of the orxonox-configuration-files.
+  std::string confFile;        //!< The name of the .orxonox.conf(ig)-file.
 
   //! A struct that holds informations about variables.
@@ -58,6 +60,6 @@
 struct HashTable
 {
-  char* name;           //!< name of the entry
-  char* value;          //!< value of the entry
+  std::string name;           //!< name of the entry
+  std::string value;          //!< value of the entry
   HashTable* next;      //!< pointer to the next entry
 };
Index: trunk/src/lib/lang/base_object.cc
===================================================================
--- trunk/src/lib/lang/base_object.cc	(revision 7201)
+++ trunk/src/lib/lang/base_object.cc	(revision 7221)
@@ -34,8 +34,8 @@
 BaseObject::BaseObject()
 {
+  this->classID = CL_BASE_OBJECT;
   this->className = "BaseObject";
-  this->classID = CL_BASE_OBJECT;
-
-  this->objectName = NULL;
+
+  this->objectName = "";
   this->classList = NULL;
   this->xmlElem = NULL;
@@ -52,6 +52,4 @@
 
   //  delete []this->className;
-  if (this->objectName)
-    delete[] this->objectName;
   if (this->xmlElem != NULL)
     delete this->xmlElem;
@@ -80,5 +78,5 @@
  * @param className the class name
 */
-void BaseObject::setClassID(ClassID classID, const char* className)
+void BaseObject::setClassID(ClassID classID, const std::string& className)
 {
   //printf("%s(0x%.8X)->%s(0x%.8X)\n", this->className, this->classID, className, classID);
@@ -95,15 +93,7 @@
  * @brief set the name of the Object
  */
-void BaseObject::setName (const char* objectName)
-{
-  if (this->objectName)
-    delete[] this->objectName;
-  if (objectName != NULL)
-  {
-    this->objectName = new char[strlen(objectName)+1];
-    strcpy(this->objectName, objectName);
-  }
-  else
-    this->objectName = NULL;
+void BaseObject::setName (const std::string& objectName)
+{
+  this->objectName = objectName;
 }
 
@@ -160,5 +150,5 @@
  * @returns true if it is, false otherwise
  */
-bool BaseObject::isA (const char* className) const
+bool BaseObject::isA (const std::string& className) const
 {
   ClassID classID = ClassList::StringToID(className);
@@ -173,8 +163,7 @@
  * @returns true on match, false otherwise.
  */
-bool BaseObject::operator==(const char* objectName)
-{
-  if (likely(this->objectName != NULL && objectName != NULL))
-    return (strcmp(this->objectName, objectName)) ? false : true;
+bool BaseObject::operator==(const std::string& objectName)
+{
+  return (this->objectName == objectName);
 }
 
@@ -197,7 +186,9 @@
 int BaseObject::writeState( const byte * data, int length, int sender )
 {
-  SYNCHELP_READ_BEGIN();
-
-  if ( objectName )
+  /// FIXME STD
+
+  /*  SYNCHELP_READ_BEGIN();
+
+  if ( !objectName.empty() )
   {
     delete[] objectName;
@@ -211,5 +202,5 @@
   }
 
-  return SYNCHELP_READ_N;
+  return SYNCHELP_READ_N;*/
 }
 
@@ -222,9 +213,10 @@
 int BaseObject::readState( byte * data, int maxLength )
 {
-  SYNCHELP_WRITE_BEGIN();
+///FIXME STD
+  /*  SYNCHELP_WRITE_BEGIN();
 
   //PRINTF(0)("objectname = %s\n", this->objectName);
   SYNCHELP_WRITE_STRING( this->objectName, NWT_BO_NAME );
 
-  return SYNCHELP_WRITE_N;
-}
+  return SYNCHELP_WRITE_N;*/
+}
Index: trunk/src/lib/lang/base_object.h
===================================================================
--- trunk/src/lib/lang/base_object.h	(revision 7201)
+++ trunk/src/lib/lang/base_object.h	(revision 7221)
@@ -16,4 +16,5 @@
 #endif
 
+#include <string>
 #include "stdincl.h"
 
@@ -30,12 +31,12 @@
 
   virtual void loadParams(const TiXmlElement* root);
-  void setName (const char* newName);
+  void setName (const std::string& newName);
   /** returns the Name of this Object */
-  inline const char* getName ()const { return this->objectName; };
+  inline const char* getName ()const { return this->objectName.c_str(); };
   /** @returns the XML-Element with whicht this Object was loaded */
   inline TiXmlNode* getXmlElem() const { return this->xmlElem; };
 
   /** @returns the className of the corresponding Object */
-  inline const char* getClassName() const { return this->className; };
+  inline const char* getClassName() const { return this->className.c_str(); };
   /** @returns the classID of the corresponding Object */
   inline int getClassID() const { return this->classID; };
@@ -43,8 +44,8 @@
 
   bool isA (ClassID classID) const;
-  bool isA (const char* className) const;
+  bool isA (const std::string& className) const;
   void whatIs() const;
 
-  bool operator==(const char* objectName);
+  bool operator==(const std::string& objectName);
   /** @param classID comparer for a ClassID @returns true on match, false otherwise */
   bool operator==(ClassID classID) { return this->isA(classID); };
@@ -54,10 +55,10 @@
 
  protected:
-  void setClassID(ClassID classID, const char* className);
+   void setClassID(ClassID classID, const std::string& className);
 
  private:
-    const char*        className;        //!< the name of the class
+    std::string        className;        //!< the name of the class
     long               classID;          //!< this is the id from the class_id.h enumeration
-    char*              objectName;       //!< The name of this object
+    std::string        objectName;       //!< The name of this object
 
     ClassList*         classList;        //!< Pointer to the ClassList this Object is inside of
Index: trunk/src/lib/lang/class_list.cc
===================================================================
--- trunk/src/lib/lang/class_list.cc	(revision 7201)
+++ trunk/src/lib/lang/class_list.cc	(revision 7221)
@@ -37,7 +37,7 @@
  *  Creates a new ClassList
 */
-ClassList::ClassList(ClassID classID, unsigned long classIDFull, const char* className)
-{
-  this->className = className;
+ClassList::ClassList(ClassID classID, unsigned long classIDFull, const std::string& className)
+  : className(className)
+{
   this->classID = classID;
   this->classIDFull = classIDFull;
@@ -56,5 +56,5 @@
 
 //! a List of all strings of all classes, that have registered so far.
-std::list<const char*> ClassList::classNames;
+std::list<std::string> ClassList::classNames;
 
 /**
@@ -67,10 +67,10 @@
  * !! Before unsing the ClassList, as it creates the ClassLits
  */
-ClassList* ClassList::addToClassList(BaseObject* objectPointer, ClassID classID, unsigned long classIDFull, const char* className)
+ClassList* ClassList::addToClassList(BaseObject* objectPointer, ClassID classID, unsigned long classIDFull, const std::string& className)
 {
   if (unlikely(classList == NULL))
     ClassList::classList = new list<ClassList>();
 
-  PRINTF(5)("subscribe a '%s'\n", className );
+  PRINTF(5)("subscribe a '%s'\n", className.c_str() );
 
   ClassList* regClass = ClassList::getClassList(classID);
@@ -113,5 +113,5 @@
  * befor it changes anything.
  */
-const std::list<const char*>* ClassList::getClassNames()
+const std::list<std::string>* ClassList::getClassNames()
 {
   if (ClassList::classNames.size() != ClassList::classList->size())
@@ -155,5 +155,5 @@
  * @return the List accessed by classID, or NULL if not found
  */
-const std::list<BaseObject*>* ClassList::getList(const char* className)
+const std::list<BaseObject*>* ClassList::getList(const std::string& className)
 {
   ClassList* fl;
@@ -191,7 +191,7 @@
  * @returns the ClassList with className as specifyer, or NULL if not
  */
-ClassList* ClassList::getClassList(const char* className)
-{
-  if (className == NULL)
+ClassList* ClassList::getClassList(const std::string& className)
+{
+  if (className.empty())
     return NULL;
   std::list<ClassList>::iterator classIT = find (classList->begin(), classList->end(), className);
@@ -207,5 +207,5 @@
  * @todo: speed this up!!
  */
-BaseObject* ClassList::getObject(const char* objectName, ClassID classID)
+BaseObject* ClassList::getObject(const std::string& objectName, ClassID classID)
 {
   if (classID != CL_NULL)
@@ -216,5 +216,5 @@
       std::list<BaseObject*>::iterator bo;
       for (bo = cl->objectList.begin(); bo != cl->objectList.end(); bo++)
-        if ((*bo)->getName() != NULL && !strcmp((*bo)->getName(), objectName))
+        if ((*bo)->getName() != NULL && objectName == (*bo)->getName())
           return (*bo);
     }
@@ -227,5 +227,5 @@
       std::list<BaseObject*>::iterator bo;
       for (bo = (*cl).objectList.begin(); bo != (*cl).objectList.end(); bo++)
-        if ((*bo)->getName() != NULL && !strcmp((*bo)->getName(), objectName))
+        if ((*bo)->getName() != NULL && objectName == (*bo)->getName())
           return (*bo);
     }
@@ -276,5 +276,5 @@
     if (object->isA((*cl).classID))
   {
-    PRINT(0)("=%s::0x%.8X=-", (*cl).className, (*cl).classID);
+    PRINT(0)("=%s::0x%.8X=-", (*cl).className.c_str(), (*cl).classID);
   }
 }
@@ -285,8 +285,10 @@
  * @return a String containing the name of the Class, NULL if the Class was not found
  */
-const char* ClassList::IDToString(ClassID classID)
-{
+const std::string& ClassList::IDToString(ClassID classID)
+{
+  static const std::string empty("");
+
   ClassList* cl = ClassList::getClassList(classID);
-  return (cl != NULL) ? cl->className : NULL;
+  return (cl != NULL) ? cl->className : empty;
 }
 
@@ -296,5 +298,5 @@
  * @return the ClassID. CL_NULL, if the class was not found.
  */
-ClassID ClassList::StringToID(const char* className)
+ClassID ClassList::StringToID(const std::string& className)
 {
   ClassList* cl = ClassList::getClassList(className);
@@ -307,10 +309,7 @@
  * @returns true on match, false otherwise
  */
-bool ClassList::operator==(const char* className)
-{
-  if (likely( className != NULL && this->className != NULL))
-    return (!strcmp(this->className, className));
-  else
-    return false;
+bool ClassList::operator==(const std::string& className)
+{
+  return (this->className == className);
 }
 
@@ -342,9 +341,9 @@
       while (pow(10, lenCount) <= (*cl).objectList.size())
         ++lenCount;
-      for (int i=0; i < 30-strlen((*cl).className) - lenCount; i++)
+      for (int i=0; i < 30-(*cl).className.size() - lenCount; i++)
         (niceString[i]) = ' ';
-      niceString[30-strlen((*cl).className) - lenCount] = '\0';
-
-      PRINT(0)("| CLASS %s::%s %d\n", (*cl).className, niceString, (*cl).objectList.size());
+      niceString[30-(*cl).className.size() - lenCount] = '\0';
+
+      PRINT(0)("| CLASS %s::%s %d\n", (*cl).className.c_str(), niceString, (*cl).objectList.size());
 
       if (debugLevel >=2 && (*cl).objectList.size() > 0)
@@ -371,5 +370,5 @@
  * @see ClassList::debug
  */
-void ClassList::debugS(const char* className, unsigned int debugLevel)
+void ClassList::debugS(const std::string& className, unsigned int debugLevel)
 {
   ClassList::debug(debugLevel, ClassList::StringToID(className));
Index: trunk/src/lib/lang/class_list.h
===================================================================
--- trunk/src/lib/lang/class_list.h	(revision 7201)
+++ trunk/src/lib/lang/class_list.h	(revision 7221)
@@ -10,4 +10,5 @@
 #include "class_id.h"
 #include <list>
+#include <string>
 #ifndef NULL
 #define NULL     0    //!< NULL
@@ -32,9 +33,9 @@
 class ClassList {
   public:
-    ClassList(ClassID classID, unsigned long classIDFull, const char* className);
+    ClassList(ClassID classID, unsigned long classIDFull, const std::string& className);
     virtual ~ClassList();
 
     /* MAINTENANCE FUNCTIONS THESE ARE !!ONLY FOR BASEOBJECT !! */
-    static ClassList*                     addToClassList(BaseObject* objectPointer, ClassID classID, unsigned long classIDFull, const char* className);
+    static ClassList*                     addToClassList(BaseObject* objectPointer, ClassID classID, unsigned long classIDFull, const std::string& className);
     static void                           removeFromClassList(BaseObject* objectPointer);
 
@@ -42,7 +43,7 @@
 
     static const std::list<BaseObject*>*  getList(ClassID classID = CL_NULL);// { return (ClassList* fl = ClassList::getClassList(classID) != NULL)? &(fl->objectList) : NULL; };
-    static const std::list<BaseObject*>*  getList(const char* className); // { return (ClassList* fl = ClassList::getClassList(className) != NULL)? &(fl->objectList) : NULL;  };
-    static const std::list<const char*>*  getClassNames();
-    static BaseObject*                    getObject(const char* name, ClassID classID = CL_NULL);
+    static const std::list<BaseObject*>*  getList(const std::string& className); // { return (ClassList* fl = ClassList::getClassList(className) != NULL)? &(fl->objectList) : NULL;  };
+    static const std::list<std::string>*  getClassNames();
+    static BaseObject*                    getObject(const std::string& name, ClassID classID = CL_NULL);
     static bool                           exists(const BaseObject* object, ClassID classID = CL_NULL);
 
@@ -51,28 +52,28 @@
     static void                           whatIs(const BaseObject* object);
 
-    static const char*                    IDToString(ClassID classID = CL_NULL);
-    static ClassID                        StringToID(const char* className);
+    static const std::string&             IDToString(ClassID classID = CL_NULL);
+    static ClassID                        StringToID(const std::string& className);
     static void                           debug(unsigned int debugLevel = 0, ClassID classID = CL_NULL);
-    static void                           debugS(const char* className = NULL, unsigned int debugLevel = 0);
+    static void                           debugS(const std::string& className = "", unsigned int debugLevel = 0);
 
     inline bool                           operator==(ClassID classID) { return (this->classID == classID); };
-    bool                                  operator==(const char* className);
+    bool                                  operator==(const std::string& className);
     inline ClassID                        getLeafClassID() const { return this->classID; };
 
   private:
     static ClassList*                     getClassList(ClassID classID);
-    static ClassList*                     getClassList(const char* className);
+    static ClassList*                     getClassList(const std::string& className);
 
   private:
-    ClassID                         classID;                //!< ClassID stored in this ClassList
-    unsigned long                   classIDFull;            //!< The Full ClassID of this Class.
+    ClassID                               classID;                //!< ClassID stored in this ClassList
+    unsigned long                         classIDFull;            //!< The Full ClassID of this Class.
 
-    const char*                     className;              //!< Name of the Class Stored here
+    const std::string                     className;              //!< Name of the Class Stored here
 
-    std::list<BaseObject*>          objectList;             //!< A list of Objects belonging to this Class
+    std::list<BaseObject*>                objectList;             //!< A list of Objects belonging to this Class
 
     // STATIC MEMBERS
-    static std::list<ClassList>*    classList;              //!< The first Class in the List
-    static std::list<const char*>   classNames;             //!< a List of all Names of all classes, that have registered so far.
+    static std::list<ClassList>*          classList;              //!< The first Class in the List
+    static std::list<std::string>         classNames;             //!< a List of all Names of all classes, that have registered so far.
 };
 
